Package org.apache.lucene.index

# Class OrdTermState

java.lang.Object
org.apache.lucene.index.TermState
org.apache.lucene.index.OrdTermState

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `BlockTermState`

public class OrdTermState extends TermState
An ordinal based `TermState`

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `ord`
  Term ordinal, i.e.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrdTermState()`
  Sole constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copyFrom(TermState other)`
  Copies the content of the given `TermState` to this instance
  `String`
  `toString()`

  ### Methods inherited from class org.apache.lucene.index.TermState

  `clone`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ord

    public long ord
    Term ordinal, i.e. its position in the full list of sorted terms.

- ## Constructor Details

  - ### OrdTermState

    public OrdTermState()
    Sole constructor.

- ## Method Details

  - ### copyFrom

    public void copyFrom(TermState other)
    Description copied from class: `TermState`
    Copies the content of the given `TermState` to this instance
    Specified by:
      `copyFrom` in class `TermState`
    Parameters:
      `other` - the TermState to copy

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `TermState`